Bug 219246 - security/tor: Update to 0.3.0.7 and the fix of MANPAGES/DOCS options regression
Summary: security/tor: Update to 0.3.0.7 and the fix of MANPAGES/DOCS options regression
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
: 219326 219364 (view as bug list)
Depends on:
Blocks: 219241 219364
  Show dependency treegraph
 
Reported: 2017-05-12 23:44 UTC by Yuri Victorovich
Modified: 2017-07-25 18:28 UTC (History)
3 users (show)

See Also:
pi: merge-quarterly+


Attachments
patch (1.80 KB, patch)
2017-05-12 23:44 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff
patch (2.31 KB, patch)
2017-05-19 06:22 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-05-12 23:44:04 UTC
Created attachment 182553 [details]
patch

Fixed regression: option for build wasn't turned on properly.
Comment 1 Yuri Victorovich freebsd_committer 2017-05-13 00:42:38 UTC
see also bug#219248
Comment 2 Franco Fichtner 2017-05-16 15:23:38 UTC
*** Bug 219326 has been marked as a duplicate of this bug. ***
Comment 3 Yuri Victorovich freebsd_committer 2017-05-19 06:22:49 UTC
Created attachment 182728 [details]
patch

Added security update to 0.3.0.7.
Comment 4 commit-hook freebsd_committer 2017-05-19 17:36:24 UTC
A commit references this bug:

Author: pi
Date: Fri May 19 17:36:03 UTC 2017
New revision: 441254
URL: https://svnweb.freebsd.org/changeset/ports/441254

Log:
  security/tor: 0.3.0.6 -> 0.3.0.7

  - medium-severity security bug in earlier versions of 0.3.0.x, where
    an attacker could cause a Tor relay process to exit

  PR:		219246
  Relnotes:	https://gitweb.torproject.org/tor.git/plain/ReleaseNotes?id=tor-0.3.0.7
  Security:	TROVE-2017-002
  Submitted by:	Yuri Victorovich <yuri@rawbw.com> (maintainer)
  MFH:		2017Q2

Changes:
  head/security/tor/Makefile
  head/security/tor/distinfo
Comment 5 commit-hook freebsd_committer 2017-06-16 06:59:39 UTC
A commit references this bug:

Author: pi
Date: Fri Jun 16 06:59:32 UTC 2017
New revision: 443669
URL: https://svnweb.freebsd.org/changeset/ports/443669

Log:
  security/tor: update 0.2.9.10 -> 0.3.0.8

  PR:		219246, 219863
  Submitted by:	Yuri Victorovich <yuri@rawbw.com> (maintainer)
  Approved by:	ports-secteam (miwi, feld)
  MFH:		2017Q2
  Relnotes:	https://gitweb.torproject.org/tor.git/tree/ChangeLog
  Security:	TROVE-2017-002, CVE-2017-0375, CVE-2017-0376

Changes:
  branches/2017Q2/security/tor/Makefile
  branches/2017Q2/security/tor/distinfo
  branches/2017Q2/security/tor/pkg-descr
  branches/2017Q2/security/tor/pkg-plist
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-03 04:19:08 UTC
*** Bug 219364 has been marked as a duplicate of this bug. ***